function [T_series,U,V,W,S,T,I2,J2,K2,IN,ODX,ODY,ODZ,Z,KLAYERA,KLAYERB,TIME]=read_data_den_XZ(DIR_FILE,IEEE)
%The difference between this readin script and that in island wake case
%is the dimension of ODX, ODY
%Output does not include Vertical velocity
INTSIZE4='int32';INTSIZE2='int16';REALSIZE='real*4';
fid=fopen(DIR_FILE,'r',IEEE);
if fid<1,error('No input file'); end
LINELENGTH=fread(fid,1,INTSIZE4);
fread(fid,17*4,'uchar');
LRSTRT=fread(fid,1,INTSIZE4);MXIT=fread(fid,1,INTSIZE4);
I0=fread(fid,1,INTSIZE4);J0=fread(fid,1,INTSIZE4);K0=fread(fid,1,INTSIZE4);
I1=I0-1;J1=J0-1;K1=K0-1;I2=I0-2;J2=J0-2;K2=K0-2;
variable_temp=fread(fid,I0*J0*K1,INTSIZE2);
IN=reshape(variable_temp,I0,J0,K1);
ODX=fread(fid,J0,REALSIZE);ODY=fread(fid,J0,REALSIZE);ODZ=fread(fid,K1,REALSIZE);
Z=fread(fid,K0+K1,REALSIZE);
LINELENGTH=fread(fid,1,INTSIZE4);
%READING THE DATA
I_D=0;
I_I=0;
LINELENGTH=fread(fid,1,INTSIZE4);
while(LINELENGTH>1)
variable_temp=fread(fid,1,'char');FN=char(variable_temp');
variable_temp=fread(fid,30,'char');
FNAME=char(variable_temp');
DAYS=fread(fid,1,REALSIZE);
K_LAYER=fread(fid,1,INTSIZE4);
if(DAYS<=1),KLAYERA=K_LAYER;end
IL0=fread(fid,1,INTSIZE4);JL0=fread(fid,1,INTSIZE4);
IHI=fread(fid,1,INTSIZE4);JHI=fread(fid,1,INTSIZE4);
RMIN=fread(fid,1,REALSIZE);RMAX=fread(fid,1,REALSIZE);
variable_temp=fread(fid,I2*K1,INTSIZE2);
NFLD=reshape(variable_temp,I2,K1);
RF=(RMAX-RMIN)/9999;
FLD=(NFLD*RF+RMIN);
if(FN=='T')
  if(KLAYERA==K_LAYER)
     I_D=I_D+1;
    TIME(I_D)=DAYS;
    T_series(:,:,I_D)=FLD;
  else
    I_I=I_I+1;
    KLAYERB(I_I)=K_LAYER;
    T(:,:,I_I)=FLD;
  end
elseif(FN=='U')
    U(:,:,I_I)=FLD;
elseif(FN=='V')
    V(:,:,I_I)=FLD;
elseif(FN=='w')
    W(:,:,I_I)=FLD;
elseif(FN=='s')
    S(:,:,I_I)=FLD;
end
LINELENGTH=fread(fid,1,INTSIZE4);
LINELENGTH=fread(fid,1,INTSIZE4);
end
fclose(fid);
