function [MOV,U_B,V_B,T_B,U_END,V_END,T_END,P_END,I2,J2,K2,IN,ODX,ODY,ODZ,Z]=read_data_den_XY(DIR_FILE,IEEE)
%The difference between this readin script and that in island wake case
%is the dimension of ODX, ODY
%Output does not include Vertical velocity
INTSIZE4='int32';INTSIZE2='int16';REALSIZE='real*4';
fid=fopen(DIR_FILE,'r',IEEE);
if fid<1,error('No input file'); end
LINELENGTH=fread(fid,1,INTSIZE4);
fread(fid,17*4,'uchar');
LRSTRT=fread(fid,1,INTSIZE4);MXIT=fread(fid,1,INTSIZE4);
I0=fread(fid,1,INTSIZE4);J0=fread(fid,1,INTSIZE4);K0=fread(fid,1,INTSIZE4);
I1=I0-1;J1=J0-1;K1=K0-1;I2=I0-2;J2=J0-2;K2=K0-2;
variable_temp=fread(fid,I0*J0*K1,INTSIZE2);
IN=reshape(variable_temp,I0,J0,K1);
ODX=fread(fid,J0,REALSIZE);ODY=fread(fid,J0,REALSIZE);ODZ=fread(fid,K1,REALSIZE);
Z=fread(fid,K0+K1,REALSIZE);
LINELENGTH=fread(fid,1,INTSIZE4);
%READING THE DATA
IND_TIME=1;
I_I=0;I_D=0;
LINELENGTH=fread(fid,1,INTSIZE4);
while(LINELENGTH>1)
variable_temp=fread(fid,1,'char');FN=char(variable_temp');
variable_temp=fread(fid,30,'char');
FNAME=char(variable_temp');
DAYS=fread(fid,1,REALSIZE);
K_LAYER=fread(fid,1,INTSIZE4);
if(K_LAYER==2)
MXDAY=DAYS;
break;
end
IL0=fread(fid,1,INTSIZE4);JL0=fread(fid,1,INTSIZE4);
IHI=fread(fid,1,INTSIZE4);JHI=fread(fid,1,INTSIZE4);
RMIN=fread(fid,1,REALSIZE);RMAX=fread(fid,1,REALSIZE);
variable_temp=fread(fid,I2*J2,INTSIZE2);
NFLD=reshape(variable_temp,I2,J2);
RF=(RMAX-RMIN)/9999;
FLD=(NFLD*RF+RMIN).*IN(2:end-1,2:end-1,K_LAYER);
if(FN=='Z')
depth(:,:)=FLD;
end
if(FNAME(1)=='b')     
  if(FN=='R')
    I_I=I_I+1;
    MOV(I_I)=DAYS;
    T_B(:,:,I_I)=FLD;
  elseif(FN=='u')
    U_B(:,:,I_I)=FLD;
  elseif(FN=='v')
    V_B(:,:,I_I)=FLD;
  end
end
LINELENGTH=fread(fid,1,INTSIZE4);
LINELENGTH=fread(fid,1,INTSIZE4);
end

while K_LAYER<K1
IL0=fread(fid,1,INTSIZE4);JL0=fread(fid,1,INTSIZE4);
IHI=fread(fid,1,INTSIZE4);JHI=fread(fid,1,INTSIZE4);
RMIN=fread(fid,1,REALSIZE);RMAX=fread(fid,1,REALSIZE);
variable_temp=fread(fid,I2*J2,INTSIZE2);
NFLD=reshape(variable_temp,I2,J2);
RF=(RMAX-RMIN)/9999;
FLD=(NFLD*RF+RMIN).*IN(2:end-1,2:end-1,K_LAYER);
if(FN=='P')
  P_END(:,:,K_LAYER)=FLD;
elseif(FN=='u')
  U_END(:,:,K_LAYER)=FLD;
elseif(FN=='v')
  V_END(:,:,K_LAYER)=FLD;
elseif(FN=='T')
  T_END(:,:,K_LAYER)=FLD;
elseif(FN=='W')
  W_END(:,:,K_LAYER)=FLD;
end
LINELENGTH=fread(fid,1,INTSIZE4);
LINELENGTH=fread(fid,1,INTSIZE4);
if isempty(LINELENGTH),break;end
variable_temp=fread(fid,1,'char');FN=char(variable_temp');
variable_temp=fread(fid,30,'char');
FNAME=char(variable_temp');
DAYS=fread(fid,1,REALSIZE);
K_LAYER=fread(fid,1,INTSIZE4);
end
fclose(fid);
