function [VORT,P,U,V,I2,J2,K2,IN,ODX,ODY,ODZ,Z]=read_data_ile(DIR_FILE,TIME_PLOT,IEEE)
%The difference between this readin script and that in density current case
%is the dimension of ODX, ODY
INTSIZE4='int32';INTSIZE2='int16';REALSIZE='real*4';
TOTAL_TIME=length(TIME_PLOT);
fid=fopen(DIR_FILE,'r',IEEE);
if fid<1,error('Check input file'); end
LINELENGTH=fread(fid,1,INTSIZE4);
fread(fid,17*4,'uchar');
LRSTRT=fread(fid,1,INTSIZE4);MXIT=fread(fid,1,INTSIZE4);
I0=fread(fid,1,INTSIZE4);J0=fread(fid,1,INTSIZE4);K0=fread(fid,1,INTSIZE4);
I1=I0-1;J1=J0-1;K1=K0-1;I2=I0-2;J2=J0-2;K2=K0-2;
variable_temp=fread(fid,I0*J0*K1,INTSIZE2);
IN=reshape(variable_temp,I0,J0,K1);
ODX=fread(fid,1,REALSIZE);
ODY=fread(fid,1,REALSIZE);
ODZ=fread(fid,K1,REALSIZE);
Z=fread(fid,K0+K1,REALSIZE);
LINELENGTH=fread(fid,1,INTSIZE4);
%READING THE DATA
IND_TIME=1;
LINELENGTH=fread(fid,1,INTSIZE4);
while(LINELENGTH>1)
variable_temp=fread(fid,1,'char');FN=char(variable_temp');
variable_temp=fread(fid,30,'char');
FNAME=char(variable_temp');
DAYS=fread(fid,1,REALSIZE);
K_LAYER=fread(fid,1,INTSIZE4);
IL0=fread(fid,1,INTSIZE4);JL0=fread(fid,1,INTSIZE4);
IHI=fread(fid,1,INTSIZE4);JHI=fread(fid,1,INTSIZE4);
RMIN=fread(fid,1,REALSIZE);RMAX=fread(fid,1,REALSIZE);
variable_temp=fread(fid,I2*J2,INTSIZE2);
NFLD=reshape(variable_temp,I2,J2);
RF=(RMAX-RMIN)/9999;
FLD=(NFLD*RF+RMIN).*IN(2:end-1,2:end-1,K_LAYER);
if(K_LAYER==1)
     MXDAY=DAYS;
end
if(MXDAY==DAYS)
if(FN=='s')
VORT(:,:,IND_TIME)=FLD;
elseif(FN=='P')
P(:,:,IND_TIME)=FLD;
elseif(FN=='u')
U(:,:,IND_TIME)=FLD;
elseif(FN=='v')
V(:,:,IND_TIME)=FLD;
if(IND_TIME<TOTAL_TIME)
IND_TIME=IND_TIME+1;
end
end
end
LINELENGTH=fread(fid,1,INTSIZE4);
LINELENGTH=fread(fid,1,INTSIZE4);
end
if DAYS<TIME_PLOT(end),error(['Max. day is' num2str(DAYS)]); end
fclose(fid);
